Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.infinispan.schematic.internal.document
Interface MutableArray

All Superinterfaces:
  Array, Collection<Object>, Document, Iterable<Object>, List<Object>, MutableDocument, Serializable

All Known Implementing Classes:
  BasicArray

    public interface MutableArray

extends Array, MutableDocument

Nested Class Summary

Nested classes/interfaces inherited from interface org.infinispan.schematic.document.Array
`Array.Entry`

Nested classes/interfaces inherited from interface org.infinispan.schematic.document.Document
`Document.Field, Document.ValueTransformer`

Method Summary
`boolean` | `addAllValues(Collection<?> values)` Modifiable method that adds the supplied values at the end of this array.
`boolean` | `addAllValues(int index, Collection<?> values)` Modifiable method that adds the supplied values at the supplied index, shifting any existing values to the next higher index value.
`void` | `addValue(int index, Object value)` Modifiable method that adds the supplied value at the supplied index, shifting any existing values to the next higher index value.
`int` | `addValue(Object value)` Modifiable method that adds the supplied value.
`boolean` | `addValueIfAbsent(Object value)` Modifiable method that adds the supplied value if not already in the array.
`void` | `removeAll()` Modifiable method that removes all of the values from this array.
`List<Array.Entry>` | `removeAllValues(Collection<?> values)` Modifiable method that removes all of the supplied values from this array.
`Object` | `removeValue(int index)` Modifiable method that removes the value at the supplied index.
`boolean` | `removeValue(Object value)` Modifiable method that removes the supplied value.
`List<Array.Entry>` | `retainAllValues(Collection<?> values)` Modifiable method that removes all of the values in this array except the supplied values.
`Object` | `setValue(int index, Object value)` Modifiable method that sets the supplied value at the given index.

Methods inherited from interface org.infinispan.schematic.document.Array
`clone, getEntries`

Methods inherited from interface java.util.List
`add, add, addAll, addAll, clear, contains, containsAll, equals, get, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, retainAll, set, size, subList, toArray, toArray`

Methods inherited from interface org.infinispan.schematic.internal.document.MutableDocument
`put, putAll, putAll, remove`

Methods inherited from interface org.infinispan.schematic.document.Document
`containsAll, containsField, fields, get, getArray, getBinary, getBoolean, getBoolean, getCode, getCodeWithScope, getDocument, getDouble, getDouble, getInteger, getInteger, getLong, getLong, getMaxKey, getMinKey, getNumber, getNumber, getObjectId, getPattern, getString, getString, getSymbol, getType, getUuid, getUuid, isEmpty, isNull, isNullOrMissing, keySet, size, toMap, with, with, withVariablesReplaced, withVariablesReplacedWithSystemProperties`

Method Detail

### addValueIfAbsent

    boolean addValueIfAbsent(Object value)

  Modifiable method that adds the supplied value if not already in the array. This method should not be called by client code.

  Parameters:
    `value` - the value to be added
  Returns:
    true if the value was added, or false if the value was already in the array.

### addValue

    int addValue(Object value)

  Modifiable method that adds the supplied value. This method should not be called by client code.

  Parameters:
    `value` - the value to be added
  Returns:
    the index at which the value was added, or -1 if the value could not be added

### addValue

    void addValue(int index,
                  Object value)

  Modifiable method that adds the supplied value at the supplied index, shifting any existing values to the next higher index value. This method should not be called by client code.

  Parameters:
    `index` - the index
    `value` - the value to be added

### setValue

    Object setValue(int index,
                    Object value)

  Modifiable method that sets the supplied value at the given index. This method should not be called by client code.

  Parameters:
    `index` - the index
    `value` - the value to be added
  Returns:
    true if the value was added, or false if it could not be added

### removeValue

    boolean removeValue(Object value)

  Modifiable method that removes the supplied value. This method should not be called by client code.

  Parameters:
    `value` - the value to be removed
  Returns:
    true if the value was removed, or false if the value was not in the array

### removeValue

    Object removeValue(int index)

  Modifiable method that removes the value at the supplied index. This method should not be called by client code.

  Parameters:
    `index` - the index of the value to be removed
  Returns:
    the value that was at the index

### addAllValues

    boolean addAllValues(Collection<?> values)

  Modifiable method that adds the supplied values at the end of this array. This method should not be called by client code.

  Parameters:
    `values` - the values to be added
  Returns:
    true if this array changed as a result of the operation

### addAllValues

    boolean addAllValues(int index,
                         Collection<?> values)

  Modifiable method that adds the supplied values at the supplied index, shifting any existing values to the next higher index value. This method should not be called by client code.

  Parameters:
    `index` - the index at which the values are to be inserted
    `values` - the values to be added
  Returns:
    true if this array changed as a result of the operation

### removeAll

    void removeAll()

  Modifiable method that removes all of the values from this array. This method should not be called by client code.

  Specified by:
    `removeAll` in interface `MutableDocument`

### removeAllValues

    List<Array.Entry> removeAllValues(Collection<?> values)

  Modifiable method that removes all of the supplied values from this array. This method should not be called by client code.

  Parameters:
    `values` - the values to be removed
  Returns:
    the entries that were removed; never null but possibly empty if this array was not modified by this operation

### retainAllValues

    List<Array.Entry> retainAllValues(Collection<?> values)

  Modifiable method that removes all of the values in this array except the supplied values. This method should not be called by client code.

  Parameters:
    `values` - the values to be kept, while all others are removed
  Returns:
    the entries that were removed; never null but possibly empty if this array was not modified by this operation

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.